## ekg 1.7~rc2

=== contrib/ekg_logs/Makefile ===
all: parse

parse: parse.c
	gcc -O2 -o parse parse.c  `glib-config --cflags --libs` # -ggdb
	strip parse

clean:
	rm -f parse

## ekg 1.8~rc1

=== libgadu/docs/Makefile ===
all:	../include/libgadu.h
	doxygen

../include/libgadu.h:	../include/libgadu.h.in ../configure
	make -C ../include

../configure:	../configure.ac
	(cd ..; ./configure)

=== libgadu/examples/Makefile ===
CC = gcc
CFLAGS = -Wall -I../../include -ggdb
LDFLAGS = $(shell grep -q ssl ../pkgconfig/libgadu.pc && echo "-lssl -lcrypto")
LIBS = ../src/.libs/libgadu.a

all:	register-sync register-async conn-async send remind-async remind-sync httphash

register-sync: register.c $(LIBS)
	$(CC) $(CFLAGS) register.c -o register-sync $(LIBS) $(LDFLAGS)

register-async: register.c $(LIBS)
	$(CC) $(CFLAGS) register.c -o register-async -DASYNC $(LIBS) $(LDFLAGS)

remind-sync: remind.c $(LIBS)
	$(CC) $(CFLAGS) remind.c -o remind-sync $(LIBS) $(LDFLAGS)

remind-async: remind.c $(LIBS)
	$(CC) $(CFLAGS) remind.c -o remind-async -DASYNC $(LIBS) $(LDFLAGS)

send:	send.c $(LIBS)
	$(CC) $(CFLAGS) send.c -o send $(LIBS) $(LDFLAGS)

httphash: httphash.c $(LIBS)
	$(CC) $(CFLAGS) httphash.c -o httphash $(LIBS) $(LDFLAGS)

conn-async: conn-async.c $(LIBS)
	$(CC) $(CFLAGS) conn-async.c -o conn-async $(LIBS) $(LDFLAGS)

clean:
	rm -f *.o *~ core register-sync register-async conn-async send remind-async remind-sync httphash

.PHONY:	all clean

=== libgadu/test/dcc7/Makefile ===
CC = gcc
CFLAGS = -Wall -I../../include -ggdb
LIBS = ../../src/.libs/libgadu.a

all:	dcc7

dcc7:	dcc7.o $(LIBS)
	$(CC) -o $@ $< $(LIBS)

clean:
	rm -f *.o dcc7 *~ core *.log

## ekg 1.8~rc2

=== debian/changelog ===
ekg (1:1.8~rc2-1ubuntu1) oneiric; urgency=low

  * Add missing includes and decls to avoid warnings about implicit
    conversions to pointers. LP: #831200.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2011 22:47:44 +0000

ekg (1:1.8~rc2-1) unstable; urgency=low

  * [7ba5778] Make the Makefiles support separate build directories.
  * [57c0ea1] Modernized the build and created new ekg-gtk package.
  * Removed the obsolete libreadline5-dev dependency (Closes: Bug#553749)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 10 Jul 2011 11:43:55 +0100

ekg (1:1.8~rc1-1) unstable; urgency=low

  * New upstream pre-release (identical to ~rc0).
  * Moved ioctld installation to a separate dh_install command, invoked only
    only when it is not hurd. Closes: #311351

 -- Marcin Owsiany <porridge@debian.org>  Mon, 12 May 2008 16:40:52 +0100

ekg (1:1.8~rc0-1) unstable; urgency=low

  * New upstream snapshot. Closes: #446875
    - fixes shell declaration in two scripts. Closes: #464978
    - not sure if it happened in this release, because it is very hard to
      reproduce, but it seems that display_ack=0 now properly ignores the
      non-delivery warnings. Closes: #305256
  * Lots of cleanups, to accommodate the fact that libgadu is not in this
    source package anymore (rules, README.Debian, copyright)
  * Added a recent libgadu-dev to build-depends (becuse of API dependency)
  * Minor fixes to description: spelling, capitalization and noted mouse
    support (disabled by default, BTW)
  * Added a few missing documents to installation, and removed ui.txt from
    installation, as it is for developers
  * Updated menu file (new section, removed hint)
  * Updated server list and monitoring URLs in README.Debian
  * Tidied up copyright file
  * Disabled token image->txt conversion (libungif and libjpeg, removed from
    build-deps), as the current captchas are impossible to display sensibly.
    File will be saved to a temporary file.
  * Added a checkperms-stamp target to debian/rules, useful when packaging
    straight from SVN
  * Bumped Standards-Version to 3.7.3
  * Added a Homepage field to the control file
  * Fixed clean target in debian/rules to only invoke clean when Makefiles
    exists, rather than ignoring all errors
  * Recoded debian/copyright to UTF-8
  * Fixed some spelling mistakes in changelog

 -- Marcin Owsiany <porridge@debian.org>  Mon, 21 Apr 2008 15:36:17 +0100

ekg (1:1.7~rc2-2) unstable; urgency=high

  * Security upload, for sid and etch
  * Patched three medium severity security issues in src/events.c:
    - CVE-2007-1663 A memory leak in handling image messages, which may cause
      memory exhaustion resulting in a DoS (ekg program crash). Exploitable by
      a hostile GG user.
    - CVE-2007-1664 off-by-one in token OCR function, which may cause a null
      pointer dereference resulting in a DoS (ekg program crash). Exploitable
      by MiTM (hostile HTTP proxy or TCP stream injection) or a hostile GG
      server.
    - CVE-2007-1665 potential memory exhaust in token OCR function, which may
      cause memory exhaustion resulting in a DoS (ekg program crash).
      Exploitable by MiTM (hostile HTTP proxy or TCP stream injection) or a
      hostile GG server.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 26 Mar 2007 18:53:19 +0100

ekg (1:1.7~rc2-1) unstable; urgency=low

  * New upstream release candidate
  * Added a uscan watch file. Closes: #377342

 -- Marcin Owsiany <porridge@debian.org>  Sun, 27 Aug 2006 13:20:02 +0100

ekg (1:1.6+20060616-1) unstable; urgency=low

  * New upstream snapshot
  * Contains a fix for GCC 4.1 warning (pointer dereference type punning),
    thus urgency=medium, because it's going to be in the toolchain for etch
  * Updated upstream website address
  * Bumped library symlink targets (API changed)

 -- Marcin Owsiany <porridge@debian.org>  Sat, 17 Jun 2006 15:29:04 +0100

ekg (1:1.6+20060215-1) unstable; urgency=low

  * New upstream snapshot
    - fix to src/stuff.h merged upstream
  * Disable OpenSSL support in libgadu ONLY (ekg still uses OpenSSL for SIM)
    - allows linking other pure-GPL programs against libgadu
    - GG servers do not support TLS anymore anyway
  * Removed libssl-dev from libgadu-dev dependencies
  * Switched ekglogs to glib 2.0:
    - changed build-depends from libglib1.2-dev to libglib2.0-dev
    - patched makefile to use pkg-config instead of glib-config
    - patched parse.c to use fixed max_tokens on g_strsplit()
  * Changed ekg depends from aspell6-dictionary to aspell-dictionary

 -- Marcin Owsiany <porridge@debian.org>  Thu, 16 Feb 2006 08:10:36 +0100

ekg (1:1.6+20060202-1) unstable; urgency=low

  * New upstream snapshot
  * Moved to libreadline5-dev, since the old one got removed from archive
    Closes: #350643
  * Patched src/stuff.h to fix wrong declaration (build failed on gcc4)

 -- Marcin Owsiany <porridge@debian.org>  Fri,  3 Feb 2006 15:52:49 +0100

ekg (1:1.6+20051103-1) unstable; urgency=low

  * New upstream snapshot
  * Contains applied patch from Aurelien Jarno to fix FTBFS on GNU/kFreeBSD
    Closes: #326618

 -- Marcin Owsiany <porridge@debian.org>  Thu,  3 Nov 2005 22:29:11 +0100

ekg (1:1.5+20050808+1.6rc3-1) unstable; urgency=low

  * New upstream snapshot
  * Added more CAN references to previous changelog entries

 -- Marcin Owsiany <porridge@debian.org>  Tue,  9 Aug 2005 16:11:49 +0200

ekg (1:1.5+20050731+1.6rc3-1) unstable; urgency=low

  * New upstream snapshot

 -- Marcin Owsiany <porridge@debian.org>  Mon,  1 Aug 2005 12:32:31 +0200

ekg (1:1.5+20050718+1.6rc3-1) unstable; urgency=high

  * New upstream release candidate (1.6rc3)
  * Among other things, contains security fix for integer overflow in libgadu
    lib/events.c, lib/libgadu.c (CAN-2005-1852) Closes: #318970
  * Also fixes CAN-2005-2370 and CAN-2005-2448

 -- Marcin Owsiany <porridge@debian.org>  Tue, 19 Jul 2005 12:45:08 +0200

ekg (1:1.5+20050712+1.6rc2-1) unstable; urgency=high



=== debian/watch ===
version=3
opts=dversionmangle=s/^.*[+]//;s/^([\d.]+)$/$1rel/,uversionmangle=s/^([\d.]+)$/$1rel/ http://ekg.chmurka.net/download.php ekg-(\d[^[:space:]]*\.[^[:space:]]*)\.(?:tar\.gz|tgz|tar\.bz2|tbz|tbz2)

## ekg 1.8~rc2+r2850

=== debian/changelog ===
ekg (1:1.8~rc2+r2850-3) unstable; urgency=low

  * [ed25020] Removed superfluous per-package Section headers.
  * [4c519d8] Set local options to unapply patches and disallow autogenerated patch.
  * [77d6a96] Minor typo fix.
  * [a1fd842] Disable unapply-patches in local-options.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 03 Nov 2011 23:01:08 +0000

ekg (1:1.8~rc2+r2850-2) unstable; urgency=low

  * [f029da7] Fixed version mangling in the watch file.
  * [5fb31dd] Add missing includes and decls. Closes: #641961
  * Migrated the automatic debian patch into separate topgit patches.
    Closes: #643106

 -- Marcin Owsiany <porridge@debian.org>  Thu, 06 Oct 2011 20:51:07 +0100

=== debian/control ===
Source: ekg
Section: net
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl-dev, libglib2.0-dev, libaspell-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://ekg.chmurka.net/
Vcs-Git: git://github.com/porridge/ekg.git
Vcs-Browser: https://github.com/porridge/ekg

Package: ekg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl, ${shlibs:Recommends}
Suggests: aspell-pl | aspell-dictionary
Description: console Gadu Gadu client for UNIX systems - ncurses UI
 EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
 Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
 messaging program, very popular in Poland.
 .
 EKG features include:
   - irssi-like ncurses interface with mouse support
   - sending and receiving files
   - voice conversations
   - launching shell commands on certain events
   - reading input from pipe
   - Python scripting support
   - speech synthesis (using an external program)
   - encryption support
 .
 Please note that the program is not internationalized and all messages are in
 Polish (although the commands are in English).
 .
 This package contains the program built with just the (text) ncurses user
 interface. If you want to use the GTK+ graphical interface, install the
 ekg-gtk package as well.

Package: ekg-gtk
Architecture: any
Depends: ekg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Enhances: ekg
Description: Gadu Gadu client for UNIX systems - GTK+ UI
 EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
 Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
 messaging program, very popular in Poland.
 .
 EKG features include:
   - irssi-like ncurses interface with mouse support
   - sending and receiving files
   - voice conversations
   - launching shell commands on certain events
   - reading input from pipe
   - Python scripting support
   - speech synthesis (using an external program)
   - encryption support
 .
 Please note that the program is not internationalized and all messages are in
 Polish (although the commands are in English).
 .
 This package contains the program built with the (graphical) GTK+ user
 interface.

## ekg 1.9~pre%2Br2855

=== debian/changelog ===
ekg (1:1.9~pre+r2855-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:31 +0000

ekg (1:1.9~pre+r2855-3) unstable; urgency=medium

  * QA upload.
  * Make debian/patches flat and drop debian/rules topgit stuff.
  * Add debian/patches/we-will-do-fine-without-the-compile-time.diff
    which removes the use of compile_time() function everywhere.

 -- Santiago Vila <sanvila@debian.org>  Mon, 07 Sep 2015 20:13:06 +0200

ekg (1:1.9~pre+r2855-2) unstable; urgency=low

  * Orphaning.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 08 Jul 2014 08:27:12 +0200

ekg (1:1.9~pre+r2855-1) unstable; urgency=high

  * Add new patch bugfix/link-x11. Closes: #713690

 -- Marcin Owsiany <porridge@debian.org>  Sat, 05 Oct 2013 11:06:55 +0300

ekg (1:1.9~pre+r2854-1) unstable; urgency=low

  * Switched to the 1.9 pre-release upstream branch.
  * [ab31943] Use build flags from environment. This really Closes: #653531
  * [9fcfdbf] Bumped debhelper version depenency to match debian/compat.
  * [838fbaa] Bumped Standards-Version to 3.9.3, no changes needed.
  * [ce381a2] Include/declare to fix "implicit declaration of function" warnings.
  * [908a55f] Updated gbp.conf for 1.9 branch.
  * A couple of patches merged upstream: feature/alternative-build-dirs,
    feature/ekglogs-glib2

 -- Marcin Owsiany <porridge@debian.org>  Thu, 19 Apr 2012 23:18:16 +0200

ekg (1:1.8~rc2+r2850-3.1) unstable; urgency=low

  * Non-maintainer upload with maintainer consent
  * Bump debhelper level to 9 for hardened build flags (Closes: #653531)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 09 Apr 2012 12:52:59 +0200

## ekg 1.9~pre+r2854

=== debian/changelog ===
ekg (1:1.9~pre+r2854-1ubuntu1) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 11:04:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ekg
 Section: net
 Priority: optional
-Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl-dev, libglib2.0-dev, libaspell-dev, libgtk2.0-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl-dev, libglib2.0-dev, libaspell-dev, libgtk2.0-dev
+Standards-Version: 3.9.3
 Homepage: http://ekg.chmurka.net/
 Vcs-Git: git://github.com/porridge/ekg.git
 Vcs-Browser: https://github.com/porridge/ekg

## ekg 1.9~pre+r2855

=== m4/Makefile ===
default:
	cd .. && ./autogen.sh

=== contrib/ekg_logs/Makefile ===
all: parse

CFLAGS ?= -O2 -s

parse: parse.c
	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o parse parse.c  `pkg-config --cflags --libs glib-2.0` # -ggdb

clean:
	rm -f parse

=== debian/changelog ===
ekg (1:1.9~pre+r2855-5) unstable; urgency=medium

  * QA upload.
  * Disable parallel building to work around a FTBFS.
    (Closes: #811234)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Feb 2017 16:37:45 +0200

ekg (1:1.9~pre+r2855-4) unstable; urgency=medium

  * QA upload.
  * Use OpenSSL 1.0 to fix FTBFS with version 1.1. (Closes: #828291)
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Bump dh version to 10.
    - Fix short description.
    - Use secured links for VCS.
  * Drop menu files.
  * Enable hardening.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 09 Dec 2016 20:07:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ekg
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl-dev, libglib2.0-dev, libaspell-dev, libgtk2.0-dev
-Standards-Version: 3.9.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 10), libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl1.0-dev | libssl-dev (<< 1.1.0~), libglib2.0-dev, libaspell-dev, libgtk2.0-dev
+Standards-Version: 3.9.8
 Homepage: http://ekg.chmurka.net/
-Vcs-Git: git://github.com/porridge/ekg.git
-Vcs-Browser: https://github.com/porridge/ekg
+Vcs-Git: https://github.com/porridge/ekg-debian.git
+Vcs-Browser: https://github.com/porridge/ekg-debian
 
 Package: ekg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: perl, ${shlibs:Recommends}
 Suggests: aspell-pl | aspell-dictionary
-Description: console Gadu Gadu client for UNIX systems - ncurses UI
+Description: console Gadu-Gadu client for UNIX systems - ncurses UI
  EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
  Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
  messaging program, very popular in Poland.
@@ -40,7 +39,7 @@
 Architecture: any
 Depends: ekg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Enhances: ekg
-Description: Gadu Gadu client for UNIX systems - GTK+ UI
+Description: Gadu-Gadu client for UNIX systems - GTK+ UI
  EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
  Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
  messaging program, very popular in Poland.

=== debian/rules ===
#!/usr/bin/make -f
# ekg package rules file
# Copyright 2002-2011 Marcin Owsiany <porridge@debian.org>

# Remember to update README.Debian as well...
confflags = \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib/ekg \
		--with-pthread \
		--enable-ioctld \
		--disable-ui-readline \
		--enable-ui-ncurses \
		--enable-force-ncurses \
		--without-termcap \
		--without-bind \
		--enable-aspell \
		--with-libgsm \
		--with-python \
		--with-zlib \
		--without-libjpeg \
		--without-libungif \
		--with-openssl
# Reasons for disabling some features are in README.Debian
# Remember to update README.Debian as well...

# As recommended by "current Debian best practice" prescribed by autotools-dev,
# we set configure flags appropriately to help cross-compiling:
# These are set automatically by dpkg-buildpackage, but we cannot depend on
# them being available, because caller might not be using dpkg-buildpackage
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --no-parallel


override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -I m4

override_dh_auto_configure:
	dh_auto_configure -- $(confflags) --disable-ui-gtk
	mkdir build-gtk && cd build-gtk && ../configure $(confflags) --enable-ui-gtk
# Reasons for disabling some features are in README.Debian
# Remember to update README.Debian as well...

override_dh_auto_build:
	dh_auto_build -- compat ekg
	cd build-gtk && $(MAKE) compat ekg
	$(MAKE) -C contrib/ekg_logs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-gtk
	if [ -e contrib/ekg_logs/Makefile ] ; then $(MAKE) -C contrib/ekg_logs clean ; fi

override_dh_auto_install:
# ncurses ekg
	dh_auto_install --destdir=$(CURDIR)/debian/ekg -- install-ekg
	mv debian/ekg/usr/bin/ekg debian/ekg/usr/bin/ekg-ncurses
# gtk ekg
	install -d -m 0755 -o root -g root debian/ekg-gtk/usr/bin
	install -m 0755 -o root -g root build-gtk/src/ekg debian/ekg-gtk/usr/bin/ekg-gtk
# programs which are not installed by default by upstream
	install -m 0755 -o root -g root contrib/ekl2.sh debian/ekg/usr/bin/ekl2
	install -m 0755 -o root -g root contrib/ekg_logs/parse debian/ekg/usr/bin/ekglogs
# ioctld is not supported at least on hurd-i386
	case $(DEB_BUILD_GNU_TYPE) in i[3456]86-gnu) rm -f debian/ekg/usr/lib/ekg/ioctld ;; *) ;; esac

override_dh_installman:
	dh_installman
	install -p -m644 docs/ekl2.man.en debian/ekg/usr/share/man/man1/ekl2.1
	install -p -m644 docs/ekl2.man.pl debian/ekg/usr/share/man/pl/man1/ekl2.1
	install -p -m644 docs/ekglogs.man.en debian/ekg/usr/share/man/man1/ekglogs.1
	install -p -m644 docs/ekglogs.man.pl debian/ekg/usr/share/man/pl/man1/ekglogs.1

override_dh_link:
	rm -r debian/ekg-gtk/usr/share/doc/ekg-gtk
	dh_link

# A hack to downgrade ekglogs dependencies to recommedations, for ekg.
# ekg-gtk already transitively depends on GLib, so no need to tweak that one.
override_dh_shlibdeps:
	dh_shlibdeps -pekg -X debian/ekg/usr/bin/ekglogs
	dh_shlibdeps --remaining-packages
	dpkg-shlibdeps -Tdebian/ekg.substvars.tmp -dRecommends debian/ekg/usr/bin/ekglogs
	cat debian/ekg.substvars.tmp >> debian/ekg.substvars
	rm -f debian/ekg.substvars.tmp
